blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
3eb0f2b28d25d3667d943d2a417685dfbba8acaa | Shell | stakah/amzl2 | /provisioning/set_motd.sh | UTF-8 | 1,392 | 3.875 | 4 | [] | no_license | #!/bin/bash
echo "Setup /etc/motd"
echo "hostname: ${HOSTNAME}"
FILE=/etc/motd
if [ -f "$FILE.orig" ]; then
echo "File $FILE.orig already exists."
else
echo "Moving $FILE to $FILE.orig"
mv $FILE $FILE.orig
fi
echo "Writing original content to $FILE"
cat $FILE.orig > $FILE
echo "Appending text 'hostname: ... | true |
b3cff6dc264eb1aeca0972a9bf9a41c1d3e581f4 | Shell | chipx86/baseconfigs | /.zsh/promptrc | UTF-8 | 3,598 | 3.078125 | 3 | [] | no_license | typeset -ga preexec_functions
typeset -ga precmd_functions
typeset -ga chpwd_functions
setopt prompt_subst
autoload -U colors && colors
# Disable the virtualenv prompt additions, since we set them ourselves
export VIRTUAL_ENV_DISABLE_PROMPT=1
N_LINE=236
C_LINE="%{[48;5;0;38;5;${N_LINE}m%}"
C_BRANCH_DIRTY="%{[38;5;... | true |
d88dca283e2d91402c73ea4a9bd3b434a7aa7423 | Shell | aws/aws-node-termination-handler | /scripts/run-unit-tests-in-docker | UTF-8 | 1,624 | 4.125 | 4 | [
"BSD-3-Clause",
"Apache-2.0",
"BSD-2-Clause",
"MIT"
] | permissive | #!/bin/bash
set -euo pipefail
project_root_dir="$(cd "$(dirname "$0")/.." && pwd -P)"
work_dir="/workplace/aws-node-termination-handler"
container_name="nth_unit_test_on_linux"
deps="go,git,make"
recreate=0
usage=$(cat <<EOM
usage: run-unit-tests-in-docker [-c CONTAINER_NAME] [-d DEP1,...] [-r]
Runs "make unit... | true |
941e790d03d3e19687ee68bc7be776d86572bcb3 | Shell | cha63506/dulwich-tools | /perf_test_dul/perf_test_cgit.sh | UTF-8 | 1,592 | 4.09375 | 4 | [] | no_license | #!/bin/bash
#set -x
reponame=swift
sshaccess=fabien@192.168.56.102
port=6666
repo_url=git://192.168.56.102:$port/$reponame
function add_files() {
local dir=`mktemp -d -p .`
for i in {1..10}; do
local f=`mktemp -p $dir`
head -c ${i}k </dev/urandom > $f
done
echo $dir
}
function add_co... | true |
771a1a2cc072246cd38e92d5a6391b500109bbea | Shell | hr1sh1kesh/terraporx | /automation/vagrant/showip | UTF-8 | 274 | 3.484375 | 3 | [] | no_license | #!/bin/bash
if [ $# -ne 1 ]
then
echo Usage: $0 ifname
exit 1
fi
echo '[nodes]'
for i in `vagrant status | grep running | awk '{print $1}'`
do
IP=`vagrant ssh $i -- /sbin/ip addr show $1 | grep 'inet ' | awk '{print $2}' | sed -s 's/\/.*//'`
echo $i IP=$IP
done
| true |
57899e29ba3e1b6547c6c0d91402cf9e6c6aca6d | Shell | Edigiraldo/holberton-system_engineering-devops | /0x04-loops_conditions_and_parsing/100-read_and_cut | UTF-8 | 176 | 3 | 3 | [] | no_license | #!/usr/bin/env bash
# displays content of current directory
while IFS=: read -r f1 f2 f3 f4 f5 f6
do
echo "$f2:$f4:$f5:$f7" > 1
echo "$f1:$f3:$f6"
done < /etc/passwd
| true |
99698a50f9c23fc28b16a3bc041d7c2cd7602294 | Shell | chembience/chembience | /init | UTF-8 | 4,412 | 3.265625 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
set -e
if [ $# -eq 0 ]; then
echo "no targets provided (django|rdkit|jupyter|proxy|all)"
exit 1
fi
./env-prepare
source .env
CWD=$(pwd)
INIT_BASE=true
init_base() {
if [ $INIT_BASE = false ]
then
return
fi
mkdir -p $CHEMBIENCE_SHARE
cp .env $CHEMBIENCE_SHARE
INIT_BASE=false
cd ... | true |
12f26559ab0511988888c061fbb76ca66bab4b75 | Shell | CDSRV/node-ctl | /bin/get | UTF-8 | 1,902 | 2.875 | 3 | [] | no_license | #!/bin/sh
#
for DESTINATION in `ls $SCRIPT_ROOT/../destination/accounts/`
do
echo
echo
echo " ## ================================ ## "
echo " ## START PUSH : " $DATE
echo " ## ================================ ## "
echo " ## -------------------------------- ## "
echo " ## CONFIG SOURCE -----------------... | true |
222e820ae4ea39105bc0fe571460eab53c8b4721 | Shell | weilonge/configurations | /bin/tnot | UTF-8 | 477 | 3.8125 | 4 | [] | no_license | #!/bin/bash
RET=$1
if [ -z "$2" ]; then
TITLE="Terminal"
else
TITLE=$2
fi
if [[ "$RET" == '0' ]]; then
MESSAGE="Something done!!"
TYPE="INFO"
saySomething="dingdong"
else
MESSAGE="Something wrong? - code: [ ${RET} ]"
TYPE="WARN"
saySomething="oh no"
fi
if command -v say &> /dev/null; then
say ${sayS... | true |
7949b871618ae5faff6dedb1f32ffa04be53c294 | Shell | AsciiRose/user-management | /function.sh | UTF-8 | 1,905 | 3.9375 | 4 | [] | no_license | #!/bin/bash
#Nennt dem Kernel den Pfad des Interpreters, der verwendet werden soll
function searchUser()
{
#Prüfen ob Nutzer schon besteht
if [ $(cat $userPath | cut -f1 -d: | grep '\<$1\>' | wc -w) -gt 0 ]
then
#Fehlermeldung ausgeben das der Nutzer bereits existiert
echo "Nutzer besteht bereits"
#A... | true |
89551a99e546ef204e9eb59da72222c36b9e900c | Shell | mrolli/dotfiles | /scripts/init-ansible-project.sh | UTF-8 | 1,792 | 3.5625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# Simple script to quickly start an ansible project
# Copied from https://github.com/ansible-buch/init-ansible-project
# and then adapted to my taste. Kudos therefore to Axel Miesen!
PROGNAME=$(basename $0)
PROJECTPATH=$1
if test -z "$PROJECTPATH"; then
echo "Usage: $PROGNAME <PROJECTPATH>" 1>&2
e... | true |
a39a769b406cfbf576de422746c030812be62b9e | Shell | cloudfoundry/cf-for-k8s | /ci/tasks/publish-eirini-image/task.sh | UTF-8 | 488 | 2.953125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash -eu
trap "pkill dockerd" EXIT
start-docker &
echo 'until docker info; do sleep 5; done' >/usr/local/bin/wait_for_docker
chmod +x /usr/local/bin/wait_for_docker
timeout 300 wait_for_docker
docker login -u "${DOCKER_USERNAME}" -p "${DOCKER_PASSWORD}"
set -x
docker load -i deplab-image/image.tar
image_id=$(... | true |
157af42c5fe04c0bf1e2d5f1e831fdc4c256929e | Shell | palmerc/lab | /classes/ugrad/csce3110/assignments/02_fibonacci/fib1.sh | UTF-8 | 60 | 2.578125 | 3 | [] | no_license | #!/bin/sh
a=0
while [ 1 ]; do
((a++))
./fib1 $a
done
| true |
c42e0844d88355cb95bbc14422fd792f06910b33 | Shell | Https-github-com-sulaeman51/guadalinex-v7 | /gensys/gensys-misc-scripts/ubuntu-repo-sync.sh | UTF-8 | 1,820 | 3.53125 | 4 | [] | no_license | #!/bin/bash -x
# Script que sincroniza el repo Ubuntu.
SERVER="mollina"
DEST="/var/gensys/deb-repositories/ubuntu"
DATE=`/bin/date +%d-%m-%Y_%H:%M:%S`
DIST="lucid,lucid-security,lucid-updates,lucid-backports"
OPTS="--nocleanup --passive --method=http --progress --host=v7.guadalinex.org --root=ubuntu --dist=$DIST --se... | true |
fc7f1a084715830b22157655a033fd17c3d73990 | Shell | red2k18/forseti-security | /scripts/githooks/pre-commit | UTF-8 | 1,669 | 3.46875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Copyright 2017 The Forseti Security Authors. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless re... | true |
a108327b41f3c0e7062e380a5b18cee5518a60ac | Shell | KqSMea8/learn_iws | /iws/iws/control | UTF-8 | 390 | 3.359375 | 3 | [] | no_license | #!/bin/bash
start () {
bundle exec ./bin/iws.rb >> log/iws.log.stdout 2>> log/iws.log.stderr &
}
stop () {
ps -ef | grep 'ruby ./bin/iws.r[b]' | awk '{print $2}' | xargs kill
}
restart () {
stop
sleep 1
start
}
svnup () {
stop
svn up
bundle install --local
start
}
case "$1" in
start) start;;
... | true |
34cf258dfb6adc617544f8889fe9501a4f6bbcc8 | Shell | hongbin8237/slam | /src/img2body/test.sh | UTF-8 | 225 | 2.53125 | 3 | [] | no_license | #!/usr/bin/env sh
# test.sh
# Martin Miller
# Created: 2014/07/09
# Compare output of img2body with matlab generated output.
../../bin/img2body < pixels.txt|cut -d, -f2,3,4,5|paste - Matout.txt|tr '\t' \
'\n'|sed '/,,,/d'|uniq -u
| true |
13fc2cb0db5e3a41ac138d5dbb145276ba0f69bf | Shell | Naramsim/vulnerability-assessment-tool | /lang-java/src/main/sh/find_jars.sh | UTF-8 | 360 | 2.828125 | 3 | [
"LicenseRef-scancode-unknown-license-reference",
"Apache-2.0",
"BSD-3-Clause"
] | permissive | #!/bin/bash
# Expects a JAR file and search string as argument
# Searches the file names and the manifest file of the given JAR for the occurence of the search string
# Use as follows: find . -name '*.jar' -exec ./find_jars.sh {} crystaldecisions12 \;
echo ----- $1
jar tf $1 | grep -i $2
jar xf $1 META-INF/MANIFEST.M... | true |
0c05d818ce89d0f43de6368cf2a9d462e7d0c69b | Shell | cloudy-ci/aws-kubernetes-jenkins | /u-02-aws-delete-subdomain.sh | UTF-8 | 864 | 3.265625 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -eux
# Parameters
SUBDOMAIN=$1
# Find out more data
PARENT_DOMAIN=${SUBDOMAIN#*.}
PARENT_HOSTED_ZONE_ID=$(aws route53 list-hosted-zones-by-name \
| jq -r ".HostedZones | map(select(.Name == \"$PARENT_DOMAIN.\")) | .[0].Id")
RECORD_SET_TO_DELETE=$(aws route53 list-resource-record-sets --hos... | true |
ff546540e08ed9024d7797b065867a671515b873 | Shell | simhaonline/lxdExploit | /lxdExploit | UTF-8 | 1,566 | 3.96875 | 4 | [] | no_license | #!/usr/bin/env bash
# ----------------------------------
# Authors: Marcelo Vazquez (S4vitar)
# Victor Lasa (vowkin)
# Alvaro Fernandez (da3m0n)
# ----------------------------------
# Step 1: Download repository => git clone https://github.com/da3m0nsec/lxdExploit [Attacker Machine]
# Step 2: T... | true |
bd0f80921f02954d7a30630897db03fdac531c1e | Shell | containers-ai/federatorai-operator | /deploy/cluster-property-setup.sh | UTF-8 | 18,088 | 3.828125 | 4 | [] | permissive | #!/usr/bin/env bash
get_current_yaml()
{
kubectl get alamedaorganization $default_org_name -o yaml > $current_yaml
if [ "$?" != "0" ]; then
echo -e "\n$(tput setaf 1)Error! Failed to get alamedaorganization $default_org_name $(tput sgr 0)"
exit 2
fi
}
check_yq_tool()
{
if [ ! -f "yq" ]... | true |
464bc380bee60e1c0ff827c22128f1cfb4222503 | Shell | pyratebeard/400s | /timer | UTF-8 | 681 | 3.125 | 3 | [] | no_license | #!/bin/sh
# colours
cyan="\e[36m"
reset="\e[0m"
progress() {
for ((k = 0; k <= 19 ; k++))
do
echo -n " >"
for ((i = 1 ; i <= k; i++)); do echo -n "▒▒▒"; done
for ((j = i ; j <= 20 ; j++)); do echo -n " "; done
#v=$((k * 10))
echo -n "< "
echo -n "$k" $'\r'
sleep 1
done
echo
}
... | true |
c9ce912ab450676fa6f2cfc4db803ddb4256f3b0 | Shell | jsnedecor/pyflow | /scratch/test/testtasks/runner.bash | UTF-8 | 243 | 2.96875 | 3 | [
"BSD-2-Clause"
] | permissive | #!/usr/bin/env bash
thisdir=$(dirname $0)
cd $thisdir
if ! [ -e ./runner ]; then
# turning on -O2 is too variable accross different platforms, so leave off:
gcc ./runner.c -lm -o runner.tmp && mv runner.tmp runner
fi
./runner $1
| true |
521977719f3cc138f7a262652df28afa926cccd0 | Shell | pbridd/DLXBranchPredictor | /test.sh | UTF-8 | 295 | 2.578125 | 3 | [] | no_license | for benchmark in branch field gauss ldst solve test2 queen; do
for history_bits in 0 1 2 3 4; do
for btb_size in 1 2 4; do
echo "benchmark = $benchmark, history bits = $history_bits, btbSize = $btb_size"
./diff.sh dynamic:$history_bits:$btb_size $benchmark
done
done
done | true |
16408ea0be5cc1a4cdeb7ac80a824869ae692ae2 | Shell | canliture/ecosoc | /ecosoc.siot/build/install-llvm.sh | UTF-8 | 790 | 2.96875 | 3 | [] | no_license | echo "instala dependencias de compilação do llvm no ubuntu"
sudo apt-get build-dep llvm-3.3-dev
echo "instala git e mercurial"
sudo apt-get install git mercurial tortoisehg libxml2-dev cmake
echo "baixa o llvm + clang + compiler-rt - utilizando git"
git clone http://llvm.org/git/llvm.git
cd llvm
git checkout release... | true |
2f4a9d7d3e9f471c5e52532a1ab9df6435a74b6b | Shell | abacuspix/ovs-tests | /test-mod-depends.sh | UTF-8 | 716 | 3.109375 | 3 | [] | no_license | #!/bin/bash
#
# Verify mlx5_core has only expected module dependencies
# i.e. not dependent on act_ct or nf_flow_table
#
# #2188070: [CT offload] [mlx5] always depend on act_ct/flow_table, which pulls conntrack
my_dir="$(dirname "$0")"
. $my_dir/common.sh
function run() {
title "Look for unexpected mlx5_core de... | true |
ace5a3b89a22ef9c30f3bd12f9325a849d841269 | Shell | Vaelrium/PSU_2014_lemipc | /pokut.sh | UTF-8 | 566 | 2.796875 | 3 | [] | no_license | #! /bin/bash
#(sleep 10; killall ./lemipc)&
x-terminal-emulator -e ./lemipc
sleep 0.1
x-terminal-emulator -e ipcs
for var in {0..12}
do
./lemipc&
sleep 0.1
done
ME=`whoami`
#IPCS_S=`ipcs -s | egrep "0x[0-9a-f]+ [0-9]+" | grep $ME | cut -f2 -d" "`
#IPCS_M=`ipcs -m | egrep "0x[0-9a-f]+ [0-9]+" | grep $ME | ... | true |
e8796685451b7c8c2c0084a5a1783db2c5e2744b | Shell | PJATK-SUM/s9_magic-mirror | /start.sh | UTF-8 | 494 | 2.796875 | 3 | [] | no_license | #!/bin/bash
APPNAME=magic-mirror
APP_PATH=/var/www/$APPNAME
BUNDLE_PATH=$APP_PATH/current
ENV_FILE=$APP_PATH/shared/env.list
PORT=8080
# Remove previous version of the app, if exists
docker rm -f $APPNAME
docker run \
-d \
--restart=always \
--publish=$PORT:80 \
--volume=$BUNDLE_PATH:/bundle \
--env-file=$... | true |
2eba43887716f544480d578b5e6327d9bbc75ac5 | Shell | eezyl/code_zyl | /linux/bash_exercise/while.sh | UTF-8 | 241 | 3.328125 | 3 | [] | no_license | #!/bin/bash
COUNTER=0
while [ $COUNTER -lt 5 ]
do
COUNTER=`expr $COUNTER + 1`
echo $COUNTER
done
echo "type <CTRL-D> to terminate"
echo -n "enter your most liked file:"
while read FILM
do
echo "Yeah! great file the $FILM"
done
| true |
16bc26fa0de4b4eb4e37429ab77100b06008253f | Shell | NikkiSatmaka/dotfiles | /run_once_zz_81-install-doom-emacs.tmpl | UTF-8 | 715 | 3.4375 | 3 | [] | no_license | #!/usr/bin/env sh
#==============================================================================
# install doom-emacs
#==============================================================================
readonly EMACS_DIR="${XDG_CONFIG_HOME:-$HOME/.config}/emacs"
readonly DOOM_GIT="https://github.com/hlissner/doom-emacs.... | true |
d7917460fa6f1a56ceb1b45cde0efcce6d286064 | Shell | troyp/dotfiles | /.sh-functions-docs | UTF-8 | 23,663 | 3.328125 | 3 | [] | no_license | # -*- shell-script -*-
[[ ! -z $DEBUG ]] && echo "sourcing .sh-functions-docs"
# -------------------------------------------------------------------------------
# ,------------------------------,
# | eBook Search & Run Functions |
# '--------------------------... | true |
b280d42c9584f58963e3b7e43f01684d822c31dc | Shell | sergiuniculescu/configs | /scripts/local_scripts/wiki | UTF-8 | 981 | 3.1875 | 3 | [] | no_license | #!/usr/bin/env bash
#varianta în engleză:
#wget -qO - http://en.wikipedia.org/wiki/`date +"%B_%-d"` | sed -n '/"Events"/,/"Births"/ p' | sed -e :a -e 's/<[^>]*>/ /g;/</N;//ba' | sed '$d' | sed '1d'
#Varianta în română:
luna=`date +"%B"`
if test "$luna" = "January" ; then a="ianuarie"
elif test "$luana" = "February" ; t... | true |
e5d30e1928a2f552ddf79b6c528f51fb2bb5bf0d | Shell | rubiety/dotfiles | /src/zsh/zzz_functions | UTF-8 | 1,259 | 3.421875 | 3 | [] | no_license | function history-stats {
history | \
sed -E 's/^[ ]+//; s/\|.*//' | \
cut -d ' ' -f 3- | \
awk '{ a[$0]++ } END { for (i in a) { print a[i] " " i } }' | \
sort -rn | \
head
}
# Stolen from r00k
function g {
if [[ $# > 0 ]]; then
git $@
else
git status
fi
}
compdef g=git
function gb... | true |
c58d91e976e299fd80bd87560867cc2b23d8ecec | Shell | bkirkby/dynaSig | /gensig.sh | UTF-8 | 1,478 | 3.28125 | 3 | [] | no_license | #!/bin/sh
color='#00ff00' #green
#color='#efa300' #amber
fullname="brian kirkby"
phone="801.400.8254"
email="bkirkby@zappos.com"
if [ "" == "$1" ]; then
skip_outlook_copy=0
sigfile=sig`date +%y%m%d`.png
if [ -e "$sigfile" ]; then
echo "file:'$sigfile' already created today"
exit
fi
else
skip_outlook... | true |
940e4422767881a3f50e2bc91e969a396302ce13 | Shell | szkonopka/ergast-f1-analysis-project | /layers/data-visualization/perf-test/run-all.sh | UTF-8 | 216 | 2.578125 | 3 | [] | no_license | #!/bin/bash
for DATASET in 1season 5season 20season CombinatedDataset/1season CombinatedDataset/5season CombinatedDataset/20season
do
echo "--- Running test for dataset ${DATASET} ---"
bash run.sh $DATASET
done
| true |
8023e98dbeb2ec980788833eaf3727f0a01b905e | Shell | athna/cyber-range | /server/tools/utilities/dummy_data_log/measure_dummy_data.sh | UTF-8 | 1,322 | 4.1875 | 4 | [] | no_license | #!/bin/bash
# dummyデータの 読み取り or 書き込み 時間を計測
if [ $# -ne 3 ]; then
echo "Need [Mode(r or w)] [Interval] [Clone Type]"
echo "$0 [r] [32] [zfs]"
exit
fi
MODE=$1
INTERVAL=$2
CLONE_TYPE=$3
dummy_directory=/tmp/dummy_data
time_array=()
# ディレクトリの移動
cd $dummy_directory
# ダミーデータ作成計測開始
start_time=`date +%s`
i=0
... | true |
6e208c026bc6d7d80e318d8ecac6849737a57070 | Shell | jodiemacns/bashpassword | /pw.sh | UTF-8 | 4,551 | 4.15625 | 4 | [] | no_license | #!/bin/bash
################################################################################
# create
# Create the new password. It will create the file if it is necessary.
################################################################################
create () {
echo "Create function";
git checkout $filenam... | true |
e78e20e8566bd129b7948e81d152d1851ae263d4 | Shell | Kingsford-Group/scalloptest | /plots/myepstool.sh | UTF-8 | 471 | 3.234375 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/sh
if [ $# -eq 0 ]
then
echo ""
echo ""
echo "Usage: myepstool.sh TexFileName_WithoutExtension"
echo "by Le CHEN, (chenle02@gmail.com)"
echo "2010-Dec-17"
echo ""
echo ""
exit 1
fi
latex --shell-escape --enable-write18 $1.tex # run latex (file without extension)
dvips -j -E $1.dvi -o $... | true |
481877fb98ff47e97e69efb324ecb078a393fc0c | Shell | davep-github/dpw | /bin/ltrh | UTF-8 | 219 | 2.796875 | 3 | [] | no_license | #!/usr/bin/env bash
# see ~/bin/ltrh
# But just show one screen full.
#
source script-x
if [ -n "$n" ]
then
nlines="$n"
else
nlines="$((${LINES:-24} - 2))"
fi
kwa_LTRH_NUM_LINES=$nlines PAGER="tail" ltrl "$@"
| true |
829ffd56a23f93266171afddc81532db830e79d3 | Shell | JamesChang/gm-app2 | /standalone/src/main/bin/start.sh | UTF-8 | 2,493 | 3.84375 | 4 | [] | no_license | #!/bin/sh
if [ -n "$JAVA_HOME" ] ; then
if [ -x "$JAVA_HOME/bin/java" ] ; then
JAVACMD="$JAVA_HOME/bin/java"
else
echo "** ERROR: java under JAVA_HOME=$JAVA_HOME cannot be executed"
exit 1
fi
else
JAVACMD=`which java 2> /dev/null`
if [ -z "$JAVACMD" ] ; then
JAVACMD=... | true |
fdfc02e37070361a3f60f5f205caa0f8b1501ea7 | Shell | openenclave/openenclave-security | /src/dynamic/scripts/onefuzz/run.sh | UTF-8 | 2,049 | 3.078125 | 3 | [
"LicenseRef-scancode-dco-1.1",
"MIT"
] | permissive | #!/bin/bash
# Copyright (c) Open Enclave SDK contributors.
# Licensed under the MIT License.
set -ex
ROOT_DIR=$(git rev-parse --show-toplevel)
AZCOPY_DIR="$ROOT_DIR/build/tools/azcopy"
FUZZING_BUILD="$ROOT_DIR/build/fuzzing_build/output/bin"
PROJECT="openenclave"
POOL="oefuzz-pool"
DURATION=1
GITHUB_ISSUES_NOTIFICATION... | true |
eff2bd536c852bd20e9f74ea8abcd2495f6c7b88 | Shell | gevasiliou/PythonTests | /devscripts/bin/wnpp-alert | UTF-8 | 5,082 | 3.625 | 4 | [] | no_license | #!/bin/bash
# wnpp-alert -- check for installed packages which have been orphaned
# or put up for adoption
# This script is in the PUBLIC DOMAIN.
# Authors:
# Arthur Korn <arthur@korn.ch>
# Arthur wrote:
# Get a list of packages with bugnumbers. I tried with LDAP, but this
# is _much_ faster.
# And I (... | true |
10235fbab231b208c35bf4227a0224bb12eb1b0c | Shell | jamespcole/bash-framework-2 | /modules/provision/firefox/module.base.sh | UTF-8 | 350 | 2.625 | 3 | [] | no_license | #!/usr/bin/env bash
import.require 'provision'
provision.firefox_base.init() {
provision.firefox_base.__init() {
import.useModule 'provision'
}
provision.firefox_base.require() {
if ! provision.isInstalled 'firefox'; then
sudo apt-get install -y firefox
return $?
... | true |
0101e24587ad1163bd2ad381b4457b4e21ef5a0d | Shell | hwhw/uml-freifunk-node | /root-overlay/etc/init.d/S00config | UTF-8 | 226 | 3.046875 | 3 | [] | no_license | #!/bin/sh
case "$1" in
start)
[ -b /dev/ubda ] && sh /dev/ubda
;;
stop)
;;
restart|reload)
start
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit $?
| true |
fedfbe5b89b70655edc28ea7a3fae9a4b22ee6df | Shell | develpudu/postgres-backup | /run.sh | UTF-8 | 2,152 | 3.5625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
[ -z "${POSTGRES_HOST}" ] && { echo "=> POSTGRES_HOST cannot be empty" && exit 1; }
[ -z "${POSTGRES_PORT}" ] && { echo "=> POSTGRES_PORT cannot be empty" && exit 1; }
[ -z "${POSTGRES_USER}" ] && { echo "=> POSTGRES_USER cannot be empty" && exit 1; }
[ -z "${POSTGRES_PASSWORD}" ] && { echo "=> POSTGRES_PAS... | true |
ed3c311909d8bcabe595083236aa10a7d5c27b8b | Shell | guillaumemorin/scripts-bckp | /mount_sshfs.sh | UTF-8 | 447 | 3.53125 | 4 | [] | no_license | #!/bin/bash
volume_path="/Volumes/share_sshfs"
if [ $# -eq 0 ]
then
echo "Need args!";
exit;
fi
if [ $1 = "home" ]
then
if [ -d "$volume_path" ]; then
umount "$volume_path";
echo "Volume already exists, unmounting it first..."
fi
mkdir "$volume_path";
sshfs -p 22 root@192.168.0.14:/mnt/share "$vo... | true |
afb0acd2f45c0e009edb3dc4f6c8e241aaf30219 | Shell | heycyril/shell_script | /redis/redis伪集群搭建/install2.sh | UTF-8 | 2,101 | 3.015625 | 3 | [] | no_license | #!/bin/bash
# Redis Auto install 2016.1109
current_time=`date +%Y%m%d-%H%M`
redis_setup_dir="/usr/local/redis/"
redis_cluster_dir="/usr/local/redis-cluster/"
redis_version="redis-3.0.3"
redis_source_code="/usr/src/redis/${redis_version}.tar.gz"
redis_source_code_unzip_dir="/usr/src/redis/${redis_version}/"
url="http:/... | true |
67c85fba6162a0527238f22c3661327f35786e98 | Shell | bootingman/fuchsia2 | /zircon/scripts/flash-hikey | UTF-8 | 2,824 | 3.78125 | 4 | [
"BSD-3-Clause",
"MIT"
] | permissive | #!/usr/bin/env bash
# Copyright 2017 The Fuchsia Authors
#
# Use of this source code is governed by a MIT-style
# license that can be found in the LICENSE file or at
# https://opensource.org/licenses/MIT
set -eo pipefail
CMDLINE=
EXTRA_ARGS=()
SCRIPTS_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
ZIRCON_D... | true |
5fdd47e93c4cbfc4a029b65284cffd90f7918551 | Shell | saschastahl/ridge-analysis | /run_jobs/minbias/back/pt1/createToys_pt1_m2_back.sh | UTF-8 | 1,428 | 2.703125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
#(use bash as shell)
#Start with bsub -J moreLLToys[1-N] < createToys.sh
#BSUB -L /bin/bash
#or use lhcbt3
#BSUB -q 1nd
#(run on SLC6 and require at least 16 GB of RAM)
#BSUB -R "select[type=SLC6_64] rusage[mem=8000]"
#BSUB -F 5000000
#(some shell magic to strip the annoying [1-36] from the job name)
JOBNAM... | true |
5f8caa4fe6546e053e2d51024f275cda3b9ec389 | Shell | TheBlackDude/farmers_report | /entrypoint.sh | UTF-8 | 348 | 3.671875 | 4 | [] | no_license | #!/bin/sh
set -e
show_help() {
echo """
Commands
--------------------------------------------
load_db : Create tables from import.sql
test : run the tests
"""
}
case "$1" in
"load_db" )
# create the tables
psql farmers < import.sql
;;
"test" )
# run all the tests
npm test
;;
... | true |
7e7adbedd226292b922a69c2967dce38d7a6566f | Shell | oliverzheng/configs | /deploy | UTF-8 | 222 | 3.078125 | 3 | [] | no_license | #!/bin/bash
shopt -s dotglob
cd ~/configs
for file in *; do
if [ "$file" != ".git" -a "$file" != "deploy" -a "$file" != "deploy_encrypted" -a "$file" != "encrypted" ]; then
ln -s configs/"$file" ~
fi
done
| true |
acae764b315677598241bd37988fdafb85c764e3 | Shell | nathanwang000/raspberry_pi_utitlity | /mail_update.sh | UTF-8 | 535 | 2.828125 | 3 | [] | no_license | #!/bin/bash
# this script send the machine status to my email regularly
echo -e "external ip\n" > tmp.txt
lynx --dump http://ipecho.net/plain >> tmp.txt
echo -e "\ninternal ip\n" >> tmp.txt
ifconfig >> tmp.txt
echo -e "\ndisk (micro sd card) info\n" >> tmp.txt
df -h >> tmp.txt;
echo -e "\nmemory usage info\n" >> tmp.t... | true |
2370ea39165ab9200d91f5dfa605fd496212eee9 | Shell | joelazar/dotfiles | /private_dot_local/bin/executable_color-picker | UTF-8 | 1,798 | 4.21875 | 4 | [
"MIT"
] | permissive | #!/bin/bash
#
# License: MIT
#
# A script to easily pick a color on a wayland session by using:
# slurp to select the location, grim to get the pixel, convert
# to make the pixel a hex number and zenity to display a nice color
# selector dialog where the picked color can be tweaked further.
#
# The script was possible ... | true |
ca45e6f67ee7212ffb0f9a9e239a2ccb43a669e1 | Shell | srb2018/IstcProject | /network/ca-configurations/createFabricCACerts.sh | UTF-8 | 800 | 3.046875 | 3 | [] | no_license | COMPOSE_FILE_CA=ca-configurations/istc/caConfig/docker/docker-compose-ca.yaml
echo $COMPOSE_FILE_CA
if [[ $1 == 'up' ]]; then
echo "Starting up Fabric CA services"
docker-compose -f $COMPOSE_FILE_CA up -d
source ./ca-configurations/istc/caConfig/registerEnroll.sh
while :; do
if [ ! -f "ca-confi... | true |
4f2bac0574af2c99ba7089f5789dc4cc56f954fa | Shell | XGodLike/bert | /split_traindata.sh | UTF-8 | 103 | 2.75 | 3 | [
"Apache-2.0",
"LicenseRef-scancode-public-domain"
] | permissive | shuf $1 > $1.shuf
mv $1.shuf $1
for((i=0; i < 12; i++))
do
awk 'NR%12==i' i="$i" $1 > $1_${i}
done
| true |
b87efafd1a0f4dd39637af3d3084a1a218fe2a65 | Shell | creeonix/teamcity-agent-docker | /00_checkinstall.sh | UTF-8 | 512 | 3.4375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
if [ -z "$TEAMCITY_SERVER" ]; then
echo "TEAMCITY_SERVER variable not set, launch with -e TEAMCITY_SERVER=http://mybuildserver"
exit 1
fi
if [ ! -d "$AGENT_DIR" ]; then
echo "$AGENT_DIR doesn't exist pulling build-agent from server $TEAMCITY_SERVER";
wget $TEAMCITY_SERVER/update/buildAgent.... | true |
7bcd0b11cf9fe66441635368987704d8f58b5016 | Shell | briancsparks/dotfiles | /bin/certbot-get-certs | UTF-8 | 853 | 3.09375 | 3 | [] | no_license | #!/bin/bash -e
die() {
echo "$@"
exit 4
}
scripts_dir="$(dirname $0)"
out_dir="$HOME/letsencrypt-certs"
auth_domain="$1"
domains="$2"
emails="$3"
[ -z "$auth_domain" ] && die "Usage: $(basename $0) auth_domain domains emails"
[ -z "$domains" ] && die "Usage: $(basename $0) auth_domain domains emails"
[ -z "$ema... | true |
6fc2a2efcdb2187cd6e8449c5342017efaa63641 | Shell | EducopiaInstitute/etdplus-installscripts | /install_fedora4.sh | UTF-8 | 2,086 | 3.796875 | 4 | [] | no_license | #!/bin/bash
# Install Fedora 4 from source
set -o errexit -o nounset -o xtrace -o pipefail
# Read settings and environmental overrides
# $1 = platform (aws or vagrant); $2 = path to install scripts
[ -f "${2}/config.sh" ] && . "${2}/config.sh"
[ -f "${2}/config_${1}.sh" ] && . "${2}/config_${1}.sh"
cd "$INSTALL_DIR"... | true |
4f4e76d8c9433ff7c847cfac70dc924541239057 | Shell | monadyn/rubbos | /rubbos_vm/elba_script/scripts/MYSQL1_install.sh | UTF-8 | 504 | 2.609375 | 3 | [] | no_license |
#!/bin/bash
cd /sshfsmount/elba_script
source set_elba_env.sh
echo " INSTALLING MYSQL on $HOSTNAME"
mkdir -p $ELBA_TOP
chmod 755 $ELBA_TOP
mkdir -p $RUBBOS_TOP
chmod 755 $RUBBOS_TOP
tar xzf $SOFTWARE_HOME/$MYSQL_TARBALL_RT --directory=$RUBBOS_TOP
cd $MYSQL_HOME
scripts/mysql_install_db --no-defaults --b... | true |
4033bfa1a6f8c57464189e08ffcf74a9b5defe6e | Shell | tcharding/lang | /bash/archive/gpg-agent.sh | UTF-8 | 332 | 2.875 | 3 | [] | no_license | # start gpg-agent
eval $(gpg-agent --daemon --enable-ssh-support --write-env-file "${HOME}/.gnupg/gpg-agent-info")
# Create the necessary environment variables
if [ -f "${HOME}/.gnupg/gpg-agent-info" ]; then
source "${HOME}/.gnupg/gpg-agent-info"
export GPG_AGENT_INFO
export SSH_AUTH_SOCK
export SSH_AG... | true |
6bec55460d479fb27705e913d0c56e4b25643c46 | Shell | qpfiffer/DotFiles | /.vim/deploy/scripts/test-deploy-postgres.sh | UTF-8 | 268 | 2.59375 | 3 | [] | no_license |
check_postgres_built_successfully() {
check_image_built_successfully "postgres"
return $?
}
check_postgres_running() {
check_container_running "postgres"
return $?
}
test_command check_postgres_built_successfully
test_command check_postgres_running
| true |
b70de2359fb40cdc8024f9c82e87bbc529a9d840 | Shell | UPB-FILS/sde | /devoir/devoir2/verify/ln/ln_simple.sh | UTF-8 | 439 | 3.046875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# 5
outputfile=$1
testfile=$2
echo "bender bending rodriguez" > lnfile
python3 busybox.py ln lnfile ln_lnfile &> $outputfile
scriptresult=$?
node verify/ln/ln.js lnfile ln_lnfile > $testfile
testresult=$?
rm -f lnfile
rm -f ln_lnfile
if [ $testresult == 0 ]
then
if [ $scriptresult != 0 ]
then
... | true |
dc7d4f6df71bf95cfe191ebc0fc054d61924d977 | Shell | golang/build | /cmd/buildlet/stage0/run-worker.sh | UTF-8 | 801 | 3.015625 | 3 | [
"LicenseRef-scancode-google-patent-license-golang",
"BSD-3-Clause"
] | permissive | #!/bin/bash -eux
# Copyright 2023 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.
set -o pipefail
trap "exit 10" SIGUSR1
project=$(curl -s -H "Metadata-Flavor: Google" http://metadata.google.internal/computeMetadata/v1/project... | true |
f8a4f6e0a0dad04f38423eae53f4931962a2875e | Shell | kaiyasa/mediaCatalog | /bin/mkpacklst | UTF-8 | 740 | 4.3125 | 4 | [] | no_license | #!/bin/bash
# usage: $0 [volPrefix] [sort_options]
# volPrefix = collection name (ie anime, movie, collection, etc
# sortoptions = options to pass to 'sort' (if none, default is alpha sort)
volPrefix=${1:-anime}
sortOptions=$2
showAvgFileSizePerDir() {
local dir=$1
[ -d "$dir" ] || return 1
local num... | true |
abce1061b79cdbda40ac9b0ba37f261744c34fc1 | Shell | vaidis/zimbra-firewall | /firewall-zimbra.sh | UTF-8 | 5,885 | 3.28125 | 3 | [] | no_license | #!/bin/bash
IPT="/sbin/iptables"
INT="eth0"
INT_ADDR=`ifconfig $WAN | grep -e "inet " | awk {'print $2'}`
function fw_init() {
echo; echo -e "\033[36m >>> Initilization \e[0m"
echo 0 > /proc/sys/net/ipv4/ip_forward # disable Packet forwarning between interfaces
echo 1 > /proc/sys/net/ipv4/i... | true |
5ad0906915d18427e7ba425ebf46cac6f701fed3 | Shell | junaid-ali/message-formatter | /format_msg.sh | UTF-8 | 910 | 3.875 | 4 | [] | no_license | #!/bin/bash
print_symbol() {
for ((i=0; i<=$1; i++)); do
printf "${2}"
done
echo
}
# Argumets:
# $1: msg to print
# $2: symbol to print
# $3: color code
print_msg() {
total_chars=90
msg_len=${#1}
print_symbol $total_chars "${2}"
num_spaces=$(( $total_chars/2-$msg_len/2-1 ))
... | true |
c4959b28a9be4c86235af0b06fa3ff08736722c7 | Shell | devopsscion/docker-stack | /db/postgres/mount.sh | UTF-8 | 1,434 | 3.90625 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# note that this is only run on an instance, not within a container.
# enable us to modify /etc/fstab
sudo chmod o+w /etc/fstab
function mount-volume
{
MOUNTPATH="$1"
DIRECTORY="$2"
# add primary partition if it doesn't exist
if ! (sudo parted "$MOUNTPATH" print|grep -q ext4); then
echo -e "... | true |
2a268bfe3d0316de21f58e730f16cb50c585883e | Shell | pyarza/mapserver | /etc/mapserver | UTF-8 | 1,096 | 3.625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
#RUN_USER may differ between www-data and nginx
RUN_USER=www-data
RUN_GROUP=www-data
LISTEN_ADDRESS=127.0.0.1
LISTEN_PORT=9999
SPAWN_FCGI=/usr/bin/spawn-fcgi
MAPSRV_CGI=/usr/lib/cgi-bin/mapserv
PID_FILE=/var/run/fastcgi-mapsrv.pid
PROC_NAME='MapServer FastCGI Daemon'
d_start() {
if [ -f $PID_FILE ];... | true |
81b7ae3240ed45fd8a2b67a853e48a103ac18641 | Shell | ngkim/vagrant | /GO_01/2admin_prepare/run.sh | UTF-8 | 5,528 | 2.921875 | 3 | [] | no_license | #!/bin/bash
set -o errexit
# _senario.txt 파일에 있는 내용을 실행한다.
echo "##########################################################################"
echo "(#) 프로그램 설명"
echo "##########################################################################"
cat ./_senario.txt | more
echo "###################################... | true |
b86461a7b295468e53caf684f723249f056532a0 | Shell | varunyn/pythonAtp-workshop | /terraform/scripts/script.template.sh | UTF-8 | 864 | 3.09375 | 3 | [
"UPL-1.0",
"MIT",
"BSD-3-Clause"
] | permissive | get_object() {
out_file=$1
os_uri=$2
success=1
for i in $(seq 1 9); do
echo "trying ($i) $2"
http_status=$(curl -w '%%{http_code}' -L -s -o $1 $2)
if [ "$http_status" -eq "200" ]; then
success=0
echo "saved to $1"
break
else
... | true |
2b0ab7fb3817c93197ee0a06d8bce7fe3462aa98 | Shell | egarciam/birt-lambda-report-gen | /make-jarfile | UTF-8 | 454 | 3.5625 | 4 | [] | no_license | #!/bin/sh
FILENAME=$1
KIND=$2
DIR=$(dirname $FILENAME)
RE='([^/]+)\.jar'
ARTIFACT_ID=$FILENAME
if [[ $FILENAME =~ $RE ]]; then
ARTIFACT_ID=${BASH_REMATCH[1]}
fi
RE='([a-z0-9.]+)(.*)'
JARFILE='unknown'
if [[ $ARTIFACT_ID =~ $RE ]]; then
JARFILE="${BASH_REMATCH[1]}.${KIND}${BASH_REMATCH[2]}"
fi
JARFILE=/tmp/$JARFILE.ja... | true |
a07e09ff8fb762bc86aa8cf3ba3be6faf9917f44 | Shell | perfsonar/pscheduler | /pscheduler-core/pscheduler-core/diags.raw | UTF-8 | 3,931 | 3.78125 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/sh
#
# Dump host diagnostics
#
# TODO: Would be nice if this could be appropriately sudoed (sudone?)
if [ "$(id -u)" != "0" ]
then
echo "This program must be run as root." 1>&2
exit 1
fi
# ------------------------------------------------------------------------------
# Code in this section from Shell... | true |
a8f1cfe6f32ab26b9ff911f1f330b5ffd4dbc146 | Shell | allwaysoft/fun | /Databases/DBA/Oracle/rman/rman_template_backup.txt | UTF-8 | 29,423 | 3.59375 | 4 | [] | no_license | #!/bin/bash
#------------------------------------------
#NOTES
#
#To run this script, use the following syntax: ./RMAN_BACKUP.txt >> /home/oracle/backup_logs/backup_log_`date +"%m_%d_%y_%R:%S"`.txt
#This script also presumes you have a directory named whatever your $BACKUP_LOG_DIR_NAME is (see the CONSTANTS sectio... | true |
91aa4f02b9d12d4ec12a97571889273c4f5a9358 | Shell | lrvick/aurora | /build-support/thrift/prepare_binary.sh | UTF-8 | 1,860 | 3.96875 | 4 | [
"Apache-2.0",
"MIT"
] | permissive | #!/usr/bin/env bash
set -o xtrace
set -o errexit
set -o nounset
readonly HERE=$(cd $(dirname "${BASH_SOURCE[0]}") && pwd)
readonly SERVE_ROOT=${HERE}/serve
# TODO(John Sirois): Eliminate this list (which needs to be expanded each time OSX has a new
# release) when pants supports querying the current os id or else a... | true |
10c13544a0adf385879a63dda4135c0275920d40 | Shell | zhaomasha/panda_new | /fuzhu/script/read_edge_random.sh | UTF-8 | 583 | 3.046875 | 3 | [] | no_license | #########################################################################
# File Name: read_edge_random.sh
# Author: wangxin
# mail: wangxin4@iie.ac.cn
# Created Time: Wed 14 Oct 2015 11:53:51 AM CST
# Description:
#########################################################################
#!/bin/bash
if [ $# != 4 ]
the... | true |
e4c34fa19b9e9aef59cb7776341b67d930417b4f | Shell | csw201710/demo | /linux/linux-shell/install-uninstall-desktop.sh | UTF-8 | 3,002 | 3.625 | 4 | [] | no_license | #!/bin/bash
gHasDesktopIcon=true
gDesktopName="Desktop"
gDesktopIconFileName="qt4-linguist.desktop"
function prerm_uninstall_wpsdaemon(){
killall -9 xxxxxxxxxxxxxxxxxxxxxxxx &>/dev/null || true
}
function prerm_uninstall_desktop()
{
prerm_uninstall_wpsdaemon
gDesktopName="桌面"
if [ -d "/root/桌面" ]; then
gD... | true |
87b3ad22ff03b90552c11efbce916bcff566aef7 | Shell | francomozo/fuaa | /toGit.sh | UTF-8 | 623 | 3.03125 | 3 | [] | no_license | #!/bin/sh
#
#echo "---------- Moving to repo ---------------------"
#cd automatic-film-detection
echo "---------- Capturing date and time ---------------------"
datetime=$(date '+%d/%m/%Y %H:%M:%S');
echo "-------------- Git pulling -----------------------------"
git pull origin master
echo "--------------- Adding a... | true |
710a4a146747fb2ec3afb39b3e79dffd7ef4ef44 | Shell | THUDM/FewNLU | /scripts/search_semi_multisplit_adapet_cross.sh | UTF-8 | 4,627 | 2.71875 | 3 | [] | no_license | task_name=$1
device=$2
LR=$3
MAX_STEP=$4
PATTERN_IDS=$5
every_eval_ratio=$6
arch_method=$7
model_type=$8
few_shot_setting="dev32_split"
dataset_name="superglue"
method="adapet"
data_dir=$YOUR_DATA_DIR
save_dir=$YOUR_SAVE_DIR/${few_shot_setting}/${model_type}_${task_name}_${arch_method}_cross_${method}_model
unlabele... | true |
cc29b7bab38fc929f4064f6cfea6c9c5365480fc | Shell | gunner14/old_rr_code | /cwf/bin/cron/monitor_activemotionserver_log.sh | UTF-8 | 557 | 3.359375 | 3 | [] | no_license | #!/bin/bash
. ~/.xcerc
EXPECTED_COUNT=$1;
echo "EXPECTED_COUNT : "$EXPECTED_COUNT
check() {
echo "--------------"
LASTHOUR=`date -d "1 hours ago" "+%Y-%m-%d-%H"`
LOG_COUNT=`ls -l /data/LogData/user_browse/ | grep $LASTHOUR | wc -l`
echo $(date)
echo $LASTHOUR" : "$LOG_COUNT
if ((LOG_COUNT<EXPECTED_COUNT))
th... | true |
6b6abf8e330937147f762f83c91616bffe36d5e6 | Shell | delkyd/alfheim_linux-PKGBUILDS | /systemdjournal2gelf/PKGBUILD | UTF-8 | 1,050 | 2.796875 | 3 | [] | no_license | # Maintainer: Enno Lohmeier
pkgname=systemdjournal2gelf
pkgver=0.r33.33fb757
pkgrel=1
pkgdesc="Export entries from systemds' journal and send them to a graylog server using gelf"
arch=('any')
url="https://github.com/parse-nl/systemdjournal2gelf"
license=('custom: Simplified BSD')
makedepends=('git' 'go')
source=('git+h... | true |
0d8154acef93b9197aae90c2f7381ef9b10fed21 | Shell | LiuTianjie/Ri-config | /piconfig.sh | UTF-8 | 945 | 2.6875 | 3 | [] | no_license | #! /bin/bash
#扩展sd卡空间(由于已经搭建好环境,这里没敢测试,之后再烧录新的镜像时会尝试)
sudo raspi-config --expand-rootfs
#更换apt为清华源
sudo cp /etc/apt/sources.list /etc/apt/sources.list.copy
sudo rm -rf /etc/apt/sources.list
sudo touch /etc/apt/sources.list
sudo chmod 777 /etc/apt/sources.list
sudo echo "deb http://mirrors.tuna.tsinghua.edu.cn/raspbia... | true |
8b9781daf49e99eded235a53f900aa4fbfc2fd04 | Shell | AtomGraph/LinkedDataHub | /http-tests/graph-store-protocol/PUT-secretary-405.sh | UTF-8 | 998 | 2.9375 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
set -euo pipefail
initialize_dataset "$END_USER_BASE_URL" "$TMP_END_USER_DATASET" "$END_USER_ENDPOINT_URL"
initialize_dataset "$ADMIN_BASE_URL" "$TMP_ADMIN_DATASET" "$ADMIN_ENDPOINT_URL"
purge_cache "$END_USER_VARNISH_SERVICE"
purge_cache "$ADMIN_VARNISH_SERVICE"
purge_cache "$FRONTEND_VARNISH_SERV... | true |
f0aa23c04833f488b7879c192d354593293e7114 | Shell | dsdstudio/dotfiles | /.osx | UTF-8 | 5,288 | 2.859375 | 3 | [] | no_license | #!/bin/bash
validate_os() {
local OS=`uname | tr '[:upper:]' '[:lower:]'`
# osx 일때만 실행가능하도록
if [ "$OS" != "darwin" ]; then
echo "맥이아니라서 지원이 불가능합니다"
exit 1
fi
}
read_val() {
local val
printf "$1"
read -e val
eval "$2='${val}'"
}
update_os_configs() {
# 어드민 비번 묻기
... | true |
bac112760086f6aed8ddbd7c0e1aab2c512d1fd0 | Shell | seletreby310/tkg-lab | /scripts/generate-and-apply-prometheus-yaml.sh | UTF-8 | 2,252 | 3.5 | 4 | [] | no_license | #!/bin/bash -e
TKG_LAB_SCRIPTS="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
source $TKG_LAB_SCRIPTS/set-env.sh
if [ ! $# -eq 2 ]; then
echo "Must supply cluster name and prometheus fqdn as args"
exit 1
fi
CLUSTER_NAME=$1
export PROMETHEUS_FQDN=$2
kubectl config use-context $CLUSTER_NAME-ad... | true |
4b0fe0e3c53091269e67a6322248a23567304195 | Shell | chvonrohr/k8s-cicd | /.letsboot-internal/automerge.sh | UTF-8 | 259 | 3.3125 | 3 | [] | no_license | #!/bin/bash
# initial merge
$(dirname "$0")/merge.sh
# check for changes in .md files
while true
do sleep 2
if [ $(find . -maxdepth 2 -name '*.md' -mtime -4s ! -name '*all*md' | wc -l) -ge 1 ]
then $(dirname "$0")/merge.sh
echo merged
fi
done
| true |
3d3ec58b198896d9e8959a066210c55fd0e2165d | Shell | rstayalive/setupmenu | /src/izab2.sh | UTF-8 | 2,008 | 3.484375 | 3 | [] | no_license | #!/bin/bash
#installing zabbix-agent to Centos 6.6 and configure to our zabbix server
hname=`hostname`
echo -e "\nPlease enter the zabbix-agent port. (not zabbix-server port)"
read port;
irule=$(iptables -vnL INPUT | grep -oE '$port')
system=$(grep -oE '[0-9]+\.[0-9]+' /etc/redhat-release)
if [ "$system" == "6.6" ];
... | true |
2a7d904d226dd940045fca134d44f96cdbf740c3 | Shell | papadavis47/pd47dotfiles | /.bash_aliases | UTF-8 | 2,412 | 2.9375 | 3 | [] | no_license | #These are some new aliases I am going to work with in bash. These are my own.
alias c='clear'
alias e='exit'
alias v='vim'
alias projects='cd ~/priority-projects/'
alias myapp='cd ~/Github_Projects/PAPA'
alias ..='cd ../'
alias ...='cd ../../'
alias downloads='cd ~/Downloads'
alias hello='echo "Hello World!"'
alias u... | true |
d0ceaee96afe07fe454d1689b9d616ffcc069132 | Shell | LrsNate/CKYParser | /Eval/EVALB/run_evalb_labeled.sh | UTF-8 | 248 | 2.71875 | 3 | [
"Unlicense",
"LicenseRef-scancode-unknown-license-reference"
] | permissive |
set -o nounset
#/////////////////////////////
f_gold="$1"
f_test="$2"
# ////////////////////////////
dir=`dirname $0`
EVALB="$dir""/evalb"
f_evalb_parameters="$dir""/evalb_param_labeled.prm"
"$EVALB" -p "$f_evalb_parameters" "$f_gold" "$f_test"
| true |
27405df770d49fdba7618cc696b87c77bb06540d | Shell | ably77/RH-demos | /mysql_ephemeral/check-pod-status.sh | UTF-8 | 420 | 3.796875 | 4 | [] | no_license | #!/bin/bash
seconds=0
OUTPUT=0
pod_name=$1
namespace=$2
hashed_name=$(oc get pods -n ${namespace} | grep ${pod_name} | awk 'NR==1{ print $1 }')
sleep 5
while [ "$OUTPUT" -ne 1 ]; do
OUTPUT=`oc get pods ${hashed_name} -n ${namespace} | tail -n +2 | grep -c Running`;
seconds=$((seconds+5))
printf "Waiting %s se... | true |
c27477e997705932fa6020437f7da39f9b694c34 | Shell | sin5678/mijia_cam_rootfs | /mnt/data/bin/network_governor.sh | UTF-8 | 3,346 | 3.65625 | 4 | [] | no_license | #!/bin/sh
# Written by Yin Kangkai for network status governor
#
# Description of the variables
#
# INTERVAL = How long will wait (sleep) between commands
# STATUS = 0 good, 1 missed ip, 2 wifi scanning, 3 AP mode, 4 no wlan0 (fatal error), 5 missing wpa, 6 missing wpa_event, 7 missing gateway, 100 unknown
WPASTATE="... | true |
0e4623b4c09319f9bdd263ca2449272de6b741fa | Shell | bigdroid-hooks/custom_ghome | /ghome/dependencies/distroinit | UTF-8 | 9,003 | 2.8125 | 3 | [] | no_license | #!/gearlock/bin/bash
# Kill /anim if exists
kill -9 "$(ps -fA | grep -v grep | grep 'anim' | awk '{print $2}')"
# Define variables and arrays
ASSET_CACHE="$DEPDIR/.distroinit_asset_cache"
DM_ASSET="$DEPDIR/distroinit_assets.gxp"
DM_INIT_HOLDER="/data/.distroinit"
PREINSTALL_APPDIR="$STATDIR/user-apps"
SU_HANDLER_DIR=... | true |
bf39068fcb41284d7b4066bda11b24e9ef8e5b0f | Shell | zyw-200/IOTFuzzer | /user_mode/image3/etc/services/svchlper | UTF-8 | 583 | 3.296875 | 3 | [] | no_license | #!/bin/sh
# svchlper service [service name] [start|stop]
#echo "[$0] $1 $2 $3 ..." > /dev/console
[ "$1" != "service" ] && exit 109
[ ! -f /etc/services/$2.php ] && exit 108
case "$3" in
start)
[ -f /var/servd/$2_stop.sh ] && sh /var/servd/$2_stop.sh > /dev/console
xmldbc -A /etc/services/$2.php -V SERVDSTART=1 > /va... | true |
e7a4d242a46751f4059d9c51133fafe58b6ae480 | Shell | EndyLab/opentrons-api | /scripts/build-all | UTF-8 | 391 | 3 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
CI_BRANCH="${TRAVIS_BRANCH:-$APPVEYOR_BRANCH}"
export CI_BRANCH
if [[ $STABLE_BRANCH == $CI_BRANCH ]]; then
echo "Building all of app CI_BRANCH: $CI_BRANCH STABLE_BRANCH: $STABLE_BRANCH"
cd api && make api && cd ../app && make app
else
echo "Not building all of app CI_BRANCH: $CI_BRANC... | true |
23dbb2f60b875ff521234ebcd7b18360feddc36c | Shell | dridi-mohamed/docker-script-shall-all-info | /docker-info.sh | UTF-8 | 676 | 2.796875 | 3 | [] | no_license | # stepx : get contaiers name
dname=$(docker ps --format "{{.Names}}")
echo "conatiers name :$dname"
# step 2 : take contaiers ID
ID=$(docker ps -q --filter="$name")
echo "containerID is :$ID"
# step 3 : take IP addr
IP=$(docker inspect --format='{{range .NetworkSettings.Networks}}{{.IPAddress}}{{end}}' $ID)
# por... | true |
2c3df7ca43445c2f7a58fb5d7c5838213570c888 | Shell | BEAR-Skif/CPool_Day02 | /prepare_my_repo.sh | UTF-8 | 222 | 2.640625 | 3 | [] | no_license | #!/bin/bash
if [ "$1" == "" ]
then
echo "Repository name not specified" >&2
exit 84
fi
blih -u arthur.melin@epitech.eu repository create "$1"
blih -u arthur.melin@epitech.eu repository setacl "$1" ramassage-tek r
blih -u arthur.melin@epitech.eu repository getacl "$1"
| true |
e249ebc12aa8ae40bf863e069a9263ae5db0a489 | Shell | Rid/docker-gen-multi-check | /start.sh | UTF-8 | 877 | 2.796875 | 3 | [] | no_license | #!/bin/sh
echo "Attempting to connect to server-dnsmasq.server-cylo"
until ping -c 1 server-dnsmasq.server-cylo; do
printf '.'
sleep 5
done
echo "Attempting to connect to nginx-php-serverapi.server-cylo"
until ping -c 1 nginx-php-serverapi.server-cylo; do
printf '.'
sleep 5
done
echo "Attempting to con... | true |
ebd31e4fe2eb7e5881ba94e2660e3f0e772ac1b0 | Shell | smoglica/wp-template | /bin/utils.sh | UTF-8 | 340 | 3.15625 | 3 | [] | no_license | #!/bin/bash
IMAGE_REPOSITORY=wp-template-dev
IMAGE_TAG=latest
IMAGE_NAME=${IMAGE_REPOSITORY}:${IMAGE_TAG}
docker_install_dependencies() {
echo -e "\033[1;44m"Installing fresh dependencies..."\033[0m"
docker run -it --rm -v $(pwd):/usr/src/app ${IMAGE_NAME} sh -c '
rm -rf node_modules vendor && \
composer ... | true |
590aaddf56afa975b2940e92407f9f325ca6a0ba | Shell | park9140/our-boxen | /dotfiles/.bashrc | UTF-8 | 119 | 2.5625 | 3 | [
"MIT"
] | permissive | bash_profile=~/.bash_profile
source /opt/boxen/env.sh
if [ -h $bash_profile ]
then
source $bash_profile
fi
| true |
e9c660574fd0d292a76d028f31613155eb71e506 | Shell | ric2b/Vivaldi-browser | /update_notifier/thirdparty/wxWidgets/misc/scripts/spellcheck | UTF-8 | 934 | 3.640625 | 4 | [
"BSD-3-Clause"
] | permissive | #!/bin/sh
CODESPELL=${CODESPELL-codespell}
# Make sure we run codespell from the top wx directory.
cd `dirname "$0"`/../..
if ! command -v $CODESPELL > /dev/null; then
echo "ERROR: codespell not available." >&2
exit 127
fi
$CODESPELL \
-I misc/suppressions/codespell-words \
-x misc/suppressions/codespell... | true |
5715eb7945ccba1a1af229b435a99297663c0870 | Shell | yuanzy97/DSSnet | /net/dev/utils/cpuset.sh | UTF-8 | 905 | 2.734375 | 3 | [
"Apache-2.0"
] | permissive | mkdir /cpuset
mount -t cpuset none /cpuset/
cd /cpuset
mkdir sys # create sub-cpuset for system processes
/bin/echo 0-2 > sys/cpuset.cpus # assign cpus (cores) 0-2 to this set
# adjust if you have more/less cores
/bin/echo 1 > s... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.